## org.apache.myfaces.custom.tree2
Class HtmlTree

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.apache.myfaces.custom.tree2.UITreeData
                  org.apache.myfaces.custom.tree2.HtmlTree

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder

public class HtmlTree
extends UITreeData

Represents "tree data" in an HTML format. Also provides a mechanism for maintaining expand/collapse state of the nodes in the tree.

Version:
  $Revision: 227470 $ $Date: 2005-08-04 16:28:49 -0400 (Thu, 04 Aug 2005) $
Author:
  Sean Schofield

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class org.apache.myfaces.custom.tree2.UITreeData
`COMPONENT_FAMILY`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlTree()` Constructor

Method Summary
`javax.faces.component.UICommand` `getExpandControl()` Gets the expand/collapse control that can be used to handle expand/collapse nodes.
`boolean` `isNodeSelected()` Indicates whether or not the current `TreeNode` is selected.
`protected void` `processChildNodes(javax.faces.context.FacesContext context, TreeNode parentNode, int processAction)` Indicates whether or not the current `TreeNode` is expanded.
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setNodeId(java.lang.String nodeId)`
`void` `setNodeSelected(javax.faces.event.ActionEvent event)` Implements the `ActionListener` interface.
`void` `setVarNodeToggler(java.lang.String varNodeToggler)`

Methods inherited from class org.apache.myfaces.custom.tree2.UITreeData
`broadcast, collapsePath, encodeBegin, expandAll, expandPath, getClientId, getDataModel, getFamily, getNode, getNodeId, getPathInformation, getValue, getVar, isLastChild, isNodeExpanded, processDecodes, processUpdates, processValidators, queueEvent, setValue, setValueBinding, setVar, toggleExpanded`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlTree

    public HtmlTree()

  Constructor

Method Detail

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UITreeData`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UITreeData`

### setNodeId

    public void setNodeId(java.lang.String nodeId)

  Overrides:
    `setNodeId` in class `UITreeData`

### getExpandControl

    public javax.faces.component.UICommand getExpandControl()

  Gets the expand/collapse control that can be used to handle expand/collapse nodes. This is only used in server-side mode. It allows the nagivation controls (if any) to be clickable as well as any commandLinks the user has set up in their JSP.

  Returns:
    UICommand

### setVarNodeToggler

    public void setVarNodeToggler(java.lang.String varNodeToggler)

### processChildNodes

    protected void processChildNodes(javax.faces.context.FacesContext context,
                                     TreeNode parentNode,
                                     int processAction)

  Indicates whether or not the current `TreeNode` is expanded.

  Overrides:
    `processChildNodes` in class `UITreeData`
  Parameters:
    `context` - FacesContext
    `parentNode` - The parent node whose children are to be processed
    `processAction` - An `int` representing the type of action to process
  Returns:
    boolean

### setNodeSelected

    public void setNodeSelected(javax.faces.event.ActionEvent event)

  Implements the `ActionListener` interface. Basically, this method is used to listen for node selection events (when a user has clicked on a leaf node.)

  Parameters:
    `event` - ActionEvent

### isNodeSelected

    public boolean isNodeSelected()

  Indicates whether or not the current `TreeNode` is selected.

  Returns:
    boolean